//
//  GFaGeoFenceAreaUpdateTimeModel.m
//
//  Copyright (c) 2022 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "GFaGeoFenceAreaUpdateTimeModel.h"

#define UserDefaultsKey    @"GFaGeoFenceAreaUpdateTimeModel"

static GFaGeoFenceAreaUpdateTimeModel *sharedModel = nil;

@interface GFaGeoFenceAreaUpdateTimeModel ()

@end

@implementation GFaGeoFenceAreaUpdateTimeModel

/* インスタンス取得 */
+ (GFaGeoFenceAreaUpdateTimeModel *)defaultModel
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedModel = [[GFaGeoFenceAreaUpdateTimeModel alloc] init];
    });
    return sharedModel;
}

/* 設定値変更 */
- (void)set:(id)object
{
    if ( object == nil || ([object isKindOfClass:[NSString class]] && [object length] == 0) )
    {
        return;
    }
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    [userDefaults setObject:object forKey:UserDefaultsKey];
    [userDefaults synchronize];
}

/* 設定値取得 */
- (id)get
{
    NSUserDefaults *standardUserDefaults = [NSUserDefaults standardUserDefaults];
    return [standardUserDefaults objectForKey:UserDefaultsKey];
}

@end
