//
//  GFaManualGeoFenceViewController.h
//
//  Copyright (c) 2013 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import <UIKit/UIKit.h>

/**
 手入力で確認画面ViewControllerクラス
 */
@interface GFaManualGeoFenceViewController : UIViewController
{
    __weak IBOutlet UIView *m_PickerView;
    __weak IBOutlet UIDatePicker *m_Picker;
}

@property (weak, nonatomic) IBOutlet UITextField *latitudeTextField;
@property (weak, nonatomic) IBOutlet UITextField *longitudeTextField;
@property (weak, nonatomic) IBOutlet UITextField *accuracyTextField;
@property (weak, nonatomic) IBOutlet UITextView *textView;
@property (weak, nonatomic) IBOutlet UIButton *dateButton;

- (IBAction)pushCheckButton:(id)sender;
- (IBAction)pushResetButton:(id)sender;
- (IBAction)pushDateButton:(id)sender;
- (IBAction)pushPickerDoneButton:(id)sender;
- (IBAction)pushClosePickerButton:(id)sender;

@end
